LotusSpreadsheetInternal::RowStyles Struct Reference

a class used to store the styles of a row in LotusSpreadsheet More...

## Public Member Functions
| RowStyles ()
| constructor

## Public Attributes
std::map< Vec2i, Style > | m_colsToStyleMap
| a map Vec2i(minCol,maxCol) to style

## Detailed Description

a class used to store the styles of a row in LotusSpreadsheet

## Constructor & Destructor Documentation

## ◆ RowStyles()

LotusSpreadsheetInternal::RowStyles::RowStyles | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_colsToStyleMap

std::map<Vec2i, Style> LotusSpreadsheetInternal::RowStyles::m_colsToStyleMap

a map Vec2i(minCol,maxCol) to style

Referenced by RowStyles(), and LotusSpreadsheet::sendRowContent().

The documentation for this struct was generated from the following file:

- LotusSpreadsheet.cpp